public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: dev-libs/ucl/, dev-libs/ucl/files/
@ 2021-04-19 19:12 Sam James
  0 siblings, 0 replies; only message in thread
From: Sam James @ 2021-04-19 19:12 UTC (permalink / raw
  To: gentoo-commits

commit:     17ebc18d38c78aa29c8d65cdf181afd812fb04ac
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Mon Apr 19 18:11:32 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Mon Apr 19 19:12:08 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=17ebc18d

dev-libs/ucl: port to EAPI 7

Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-libs/ucl/files/ucl-1.03-CFLAGS.patch | 10 ++++------
 dev-libs/ucl/ucl-1.03-r1.ebuild          | 15 ++++++++++-----
 2 files changed, 14 insertions(+), 11 deletions(-)

diff --git a/dev-libs/ucl/files/ucl-1.03-CFLAGS.patch b/dev-libs/ucl/files/ucl-1.03-CFLAGS.patch
index 07c925b4888..b01a50e3bdf 100644
--- a/dev-libs/ucl/files/ucl-1.03-CFLAGS.patch
+++ b/dev-libs/ucl/files/ucl-1.03-CFLAGS.patch
@@ -2,9 +2,8 @@ From: Nathan Phillip Brink <binki@gentoo.org>
 Subject: Respect CCASFLAGS (which often defaults to CFLAGS). Fixes
 	compilation for portage-multilib users.
 
-diff -r c090ed619e90 configure.ac
---- a/configure.ac	Sun Jun 26 16:00:09 2011 -0400
-+++ b/configure.ac	Sun Jun 26 20:52:01 2011 -0400
+--- a/configure.ac
++++ b/configure.ac
 @@ -47,14 +47,12 @@
  AC_CANONICAL_TARGET
  AM_MAINTAINER_MODE
@@ -49,9 +48,8 @@ diff -r c090ed619e90 configure.ac
  AC_CONFIG_FILES([Makefile examples/Makefile include/Makefile include/ucl/Makefile src/Makefile])
  AC_OUTPUT
  
-diff -r c090ed619e90 src/Makefile.am
---- a/src/Makefile.am	Sun Jun 26 16:00:09 2011 -0400
-+++ b/src/Makefile.am	Sun Jun 26 20:52:01 2011 -0400
+--- a/src/Makefile.am
++++ b/src/Makefile.am
 @@ -4,11 +4,10 @@
  #
  

diff --git a/dev-libs/ucl/ucl-1.03-r1.ebuild b/dev-libs/ucl/ucl-1.03-r1.ebuild
index 38e1c6530d1..9f03c5c83ff 100644
--- a/dev-libs/ucl/ucl-1.03-r1.ebuild
+++ b/dev-libs/ucl/ucl-1.03-r1.ebuild
@@ -1,9 +1,9 @@
 # Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=5
+EAPI=7
 
-inherit autotools epatch flag-o-matic ltprune
+inherit autotools flag-o-matic
 
 DESCRIPTION="the UCL Compression Library"
 HOMEPAGE="http://www.oberhumer.com/opensource/ucl/"
@@ -16,9 +16,13 @@ IUSE="static-libs"
 
 DEPEND="!!dev-libs/libucl"
 
+PATCHES=(
+	"${FILESDIR}"/${P}-CFLAGS.patch
+	"${FILESDIR}"/${P}-x32.patch #426334
+)
+
 src_prepare() {
-	epatch "${FILESDIR}"/${P}-CFLAGS.patch
-	epatch "${FILESDIR}"/${P}-x32.patch #426334
+	default
 
 	# lzo (and ucl) have some weird sort of mfx_* set of autoconf macros
 	# which may only be distributed with lzo itself? Rescue them and
@@ -42,5 +46,6 @@ src_configure() {
 
 src_install() {
 	default
-	prune_libtool_files
+
+	find "${ED}" -type f -name '*.la' -delete || die
 }


^ permalink raw reply related	[flat|nested] only message in thread

only message in thread, other threads:[~2021-04-19 19:12 UTC | newest]

Thread overview: (only message) (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2021-04-19 19:12 [gentoo-commits] repo/gentoo:master commit in: dev-libs/ucl/, dev-libs/ucl/files/ Sam James

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox